# $Revision: 1.17 $, $Date: 2006/08/25 09:05:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	UNIVERSAL
%define		pnam	exports
Summary:	UNIVERSAL::exports - lightweight, universal exporting of variables
Summary(pl):	UNIVERSAL::exports - lekkie, uniwersalne eksportowanie zmiennych
Name:		perl-UNIVERSAL-exports
Version:	0.03
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7672d8e740d99c3af612205e6fde8644
URL:		http://search.cpan.org/dist/UNIVERSAL-exports/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Exporter-Lite >= 0.01
%endif
Requires:	perl-UNIVERSAL-require
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an alternative to Exporter intended to provide a universal,
lightweight subset of its functionality. It uses Exporter::Lite, so
look there for details.

%description -l pl
Ten modu jest alternatyw dla Exportera majc udostpni
uniwersalny, lekki podzbir jego funkcjonalnoci. Uywa moduu
Exporter::Lite, z ktrego mona pozna wicej szczegw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# use from perl-UNIVERSAL-require
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/require.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/exports.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-UNIVERSAL-exports.spec,v $
Revision 1.17  2006/08/25 09:05:12  glen
- hack: use UNIVERSAL/require.pm from perl-UNIVERSAL-require (to avoid conflicts on builder); rel 3

Revision 1.16  2004/11/03 22:30:53  paladine
- formatting

Revision 1.15  2004/05/07 01:08:48  ankry
- rel. 2

Revision 1.14  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.12  2004/01/29 17:09:06  migo
- new bcond style

Revision 1.11  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/12 21:58:59  ankry
- reverse previous, accidental change

Revision 1.4  2003/03/12 21:49:06  ankry
- cosmetics

Revision 1.3  2003/03/03 23:26:35  qboosh
- pl description

Revision 1.2  2003/03/02 13:15:37  radek
- radek drinks The Portion of Forgotten Description.  He looks healthier now.

Revision 1.1  2003/03/02 13:13:25  radek
- new
